summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-11-01 01:33:39 +0000
committerMike Frysinger <vapier@gentoo.org>2005-11-01 01:33:39 +0000
commit5b00dfcbd7600d9465ccb06f542ce3474d624f4a (patch)
tree641e60e5f5ca92eac67f4745cde7d401bba2027c /bin
parent107ac23de8de2419979dd06da0966de23a52bbb3 (diff)
downloadportage-5b00dfcbd7600d9465ccb06f542ce3474d624f4a.tar.gz
portage-5b00dfcbd7600d9465ccb06f542ce3474d624f4a.tar.bz2
portage-5b00dfcbd7600d9465ccb06f542ce3474d624f4a.zip
add support for unpacking lha files
svn path=/main/branches/2.0/; revision=2225
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 666a79dd6..21a3afda8 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -394,6 +394,9 @@ unpack() {
RAR|rar)
unrar x -idq "${srcdir}/${x}" || die "$myfail"
;;
+ LHa|LHA|lha|lzh)
+ lha xqf "${srcdir}/${x}" || die "$myfail"
+ ;;
*)
echo "unpack ${x}: file format not recognized. Ignoring."
;;